Subject: Re: [TLS] Renegotiation: trying to summarize

From: "[email-masked]" <[email-masked]>
Date: Wed, 2 Jul 2014 20:05:14 +0200

On 21 Jun 2014, at 02:16, Peter Gutmann <[email-masked]> wrote:

> Martin Thomson <[email-masked]> writes:
> 
>> 1. Remove renegotiation entirely
>> 
>> Brian Smith proposed this.  Arguments for are its beautiful simplicity and
>> the fact that it ensures that you limit the time that a single session (and
>> the corresponding keys) live.
> 
> Another argument strongly in favour of removing it is that in all the
> applications where I've seen a requirement for renegotiation (e.g. in industry
> standards that use TLS), in approximately, oh, 100% of them it was due to some
> misguided perception that it'd do... well, no-one could really explain it, but
> the capability was there so we may as well add a clause requiring it.

Now that you have seen the spec on WebID Authenction over TLS 

  http://www.w3.org/2005/Incubator/webid/spec/

where we have a number of implementations for ( e.g.
  
  https://github.com/read-write-web/rww-play )

would you still say that renegotiation is done for some msiguided perception of
what it is doing? And of course the follow up question would be why?

> In some cases the requirement was so clearly ridiculous (infrequent reporting
> from SCADA systems where you'd need to renegotiate on each message) that
> implementers chose to ignore it, but in other cases it wasn't easy to convince
> people that it was pointless, particularly when some standards committee had
> decided that you had to do it.
> 
> I'm strongly in favour of removing it, it's mostly pointless, it's been the
> cause of the first real flaw in the SSL/TLS protocol design (rather than an
> implementation issue), and it really messes things up when other standards
> groups decide they need to mandate it without knowing why.

If you remove it without making efficient crytpographically secure
distributed client authentication feasible then you have in my view
decreased security on the web, or at least closed a door that would
allow us to escape the surveillance state ( by states or large private
players ) because you'll have reduced the ability to communicate in a
peer to peer manner securely. ( efficient Distributed authentication
is key to that ). 

> 
> Peter.
> _______________________________________________
> TLS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tls

Social Web Architect
http://bblfish.net/